
var UserCode = helper.cookies.get("usercode");
var openid = helper.cookies.get("openid");
var id = helper.request.queryString("user_custome");
var custome = helper.request.queryString("custome");
(function($) {
	$.init();
	var result = $('#result')[0];
	var btns = $('.btn');
	btns.each(function(i, btn) {
		btn.addEventListener('tap', function() {
			var optionsJson = this.getAttribute('data-options') || '{}';
			var options = JSON.parse(optionsJson);
			var id = this.getAttribute('id');
			var picker = new $.DtPicker(options);
			picker.show(function(rs) {
				result.value = rs.text;
				picker.dispose();
			});
		}, false);
	});
})(mui);

Ajax();
//获取数据   
function Ajax() {
	$.ajax({
		url: huayi.config.callcenter_url + '/WxLogin/GetCustomer',
		data: {
			customerid: id, //工单编号
			openid: openid, //微信openid,
			//openid: 'oXF5e1mWpX5DajW5_yjNLPKb8ThE', //微信openid	,
		},
		async: true,
		dataType: 'json',
		type: 'get', //HTTP请求类型
		success: function(data) {
			if(data.state.toLowerCase() == "success") {
				//"F_CustomerId":388,
		        //"areaname":"第一区域中心",
		        //"proname":"开封绿地城（物业）",
		        //"stagename":"一期",
		        //"roomname":""
		        var result= data.data;
		        if (result.F_CustomerEName=="男") {
		        	$('input[name="form"][value="0"]').prop("checked", "checked");
		        } else{
		        	$('input[name="form"][value="1"]').prop("checked", "checked");
		        }
		        if (result.F_TaxID=="已婚") {
		        	$('input[name="valid"][value="0"]').prop("checked", "checked");
		        } else{
		        	$('input[name="valid"][value="1"]').prop("checked", "checked");
		        }
		        //工单类型
				$(".WordID").text(result.F_CustomerId);
				//alert(JSON.stringify(result.TypeClassName));
				$("#order_name").val(result.F_CustomerName); //姓名
				$("#order_tel").val(result.F_Mobile); //电话
				//$(".order_sex").val(result.F_CustomerEName); //性别
				//$(".order_tax").val(result.F_TaxID); //婚姻 proname buildingname
				$("#result").val(result.F_CustomerPym); //出生
				$("#order_ID").val(result.F_LegalRepresentativeCardID); //身份证
				$("#order_Nature").val(result.F_Nature); //籍贯
				$("#order_Kind").val(result.F_Kind); //车牌号
				$("#order_Notes").val(result.F_Notes); //备注信息
			}
		},
		error: function(xhr, type, errorThrown) {
			//异常处理；
		}
	})
}
//返回住户列表
$('.return').on('tap', function() {
	window.location.href = "tenant_edit.html?custome="+custome;
});

//保存
$('.evaluate').on('tap', function() {
	window.location.href = "tenant_edit.html?custome="+custome;
});

$(".dele").click(function(){
		var btnArray = ['否', '是'];
		mui.confirm('确定要删除工单？', '提示', btnArray, function(f) {
			if(f.index == 1) {
				$.ajax({
					type: "post",
					url: huayi.config.callcenter_url + 'WxLogin/DelCustomer',
					async: true,
					dataType: 'json',
					data: {
						ids: $(".WordID").text(),
						openid: openid,
					},
					success: function(data) {
						if(data.state.toLowerCase() == "success") {

							mui.toast("删除成功");
							window.location.href = "tenant_edit.html?custome="+custome;
							//wobj.reload(true);
						}
					}				
				});
			} else {
				mui.toast("取消删除");
			}
		})
})
$(function() {
	//alert(id);
	//提交按钮
	$('#submit').on('tap', function() {
		var sex =$('.order_sex').find('input[type="radio"]:checked').val();
		var tax =$('.order_tax').find('input[type="radio"]:checked').val();
		if (sex==0) {
			sexSt="男"
		} else{
			sexSt="女"
		}
		if (tax==0) {
			taxSt="已婚"
		} else{
			taxSt="未婚"
		}
		
		if($('#order_name').val() == '') {
			mui.alert('请输入姓名！') //请输入姓名
		} else if($('#order_tel').val() == '') {
			mui.alert('请输入电话！') //请输入电话
		} else if($('#result').val() == '') {
			mui.alert('请输入日期！') //请输入日期
		}  else if($('#order_ID').val() == '') {
			mui.alert('请输入身份证号！') //请输入身份证号
		} else if($('#order_Nature').val() == '') {
			mui.alert('请输入籍贯！') //请输入籍贯
		} else if($('#order_Notes').val() == '') {
			mui.alert('请填写备注信息！') //填写备注信息
		} else {
			$.ajax({
				type: "post",
				dataType: 'json',
				url: huayi.config.callcenter_url + '/WxLogin/UpdateCustomer',
				async: true,
				data: {
					F_CustomerId:id,	//是	string	用户ID
					F_CustomerName: $('#order_name').val(), //客户姓名  string	
					F_Mobile: $('#order_tel').val(), //否	string	联系电话   string	
					F_CustomerEName: sexSt, //性别   string	性别（男，女）
					F_TaxID: taxSt, //婚姻状况
					F_CustomerPym: $('#result').val(), //出生年月
					F_LegalRepresentativeCardID: $('#order_ID').val(), //身份证号   string	
					F_Nature: $('#order_Nature').val(), //籍贯  string
					F_Kind: $('#order_Kind').val(), //车牌号 string
					F_Notes: $('#order_Notes').val(), //备注信息 string
					openid: openid,
				},
				success: function(data) {
					if(data.state == "success") {
						debugger
						//alert($('#order_reception').val()), //描述详情
						mui.toast('投诉成功');
						$('#order_name').val(''); //客户姓名
						$('#order_tel').val('');//否	string	联系电话
						$('#order_ID').val(''); //身份证号
						$('#order_Nature').val(); //籍贯  string
						$("#order_rengin").attr(''); //区域名称
						$("#order_pro").attr(''); //项目名称
						$("#order_floor").attr(''); //楼号
						$('#order_room').val(''); //房间号
						$('#ower_relationship').attr(''); //房东关系
						$('#order_Notes').val(''); //备注信息 string
						window.location.href="tenant_edit.html";
									
						window.location.reload();
					} else {
						mui.toast(data.message);
					}
				}
			});
		}
	})
})

